[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTrackBar.TickMarks

Position for the tick marks relative to the slider in the track bar.

## Declaration

Source position: comctrls.pp line 2796

`published property TCustomTrackBar.TickMarks : TTickMark read FTickMarks write SetTickMarks default tmBottomRight;`

## Description

Tickmarks indicates where the ticks appear relative to the slider on the track bar control.

tmBottomRight
  Tick marks are displayed on the bottom for the horizontal orientation, and on the right for the vertical orientation.
tmTopLeft
  Tick marks are displayed on the top for the horizontal orientation, and on the left for the vertical orientation.
tmBoth
  Tick marks are displayed on both sides for the selected orientation.

Remark: | For the macOS Carbon widgetset, the TickMarks property is not supported.